Debian Bug report logs - #467647
libapache-asp-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libapache-asp-perl; Maintainer for libapache-asp-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libapache-asp-perl is src:libapache-asp-perl.

Reported by: ntyni@debian.org

Date: Tue, 26 Feb 2008 17:54:11 UTC

Severity: important

Tags: patch

Found in version libapache-asp-perl/2.59-2

Fixed in version libapache-asp-perl/2.59-2.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Víctor Pérez Pereira <vperez@debianvenezuela.org>:
Bug#467647; Package libapache-asp-perl. Full text and rfc822 format available.

Acknowledgement sent to ntyni@debian.org:
New Bug report received and forwarded. Copy sent to Víctor Pérez Pereira <vperez@debianvenezuela.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: ntyni@debian.org
To: maintonly@bugs.debian.org
Subject: libapache-asp-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 19:53:12 +0200
Package: libapache-asp-perl
Version: 2.59-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Víctor Pérez Pereira <vperez@debianvenezuela.org>:
Bug#467647; Package libapache-asp-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Víctor Pérez Pereira <vperez@debianvenezuela.org>. Full text and rfc822 format available.

Message #10 received at 467647@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467647@bugs.debian.org
Subject: libapache-asp-perl: diff for NMU version 2.59-2.1
Date: Sat, 5 Apr 2008 12:28:51 +0100
[Message part 1 (text/plain, inline)]
tags 467647 + patch
thanks

Hi,

Attached is the diff for my libapache-asp-perl 2.59-2.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libapache-asp-perl-2.59-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 11:30:13 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ntyni@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467647-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467647-close@bugs.debian.org
Subject: Bug#467647: fixed in libapache-asp-perl 2.59-2.1
Date: Sat, 05 Apr 2008 11:32:03 +0000
Source: libapache-asp-perl
Source-Version: 2.59-2.1

We believe that the bug you reported is fixed in the latest version of
libapache-asp-perl, which is due to be installed in the Debian FTP archive:

libapache-asp-perl_2.59-2.1.diff.gz
  to pool/main/liba/libapache-asp-perl/libapache-asp-perl_2.59-2.1.diff.gz
libapache-asp-perl_2.59-2.1.dsc
  to pool/main/liba/libapache-asp-perl/libapache-asp-perl_2.59-2.1.dsc
libapache-asp-perl_2.59-2.1_all.deb
  to pool/main/liba/libapache-asp-perl/libapache-asp-perl_2.59-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libapache-asp-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:23:06 +0100
Source: libapache-asp-perl
Binary: libapache-asp-perl
Architecture: source all
Version: 2.59-2.1
Distribution: unstable
Urgency: low
Maintainer: Víctor Pérez Pereira <vperez@debianvenezuela.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libapache-asp-perl - perl Apache::ASP - Active Server Pages for Apache with mod_perl
Closes: 467647
Changes: 
 libapache-asp-perl (2.59-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove usr/lib/perl (closes: #467647)
   * Change $(PWD) to $(CURDIR) in debian/rules
   * Move debhelper to Build-Depends, since it's needed in clean
Files: 
 f282af8a55a2bd2def53bb3b7edf0b56 659 perl optional libapache-asp-perl_2.59-2.1.dsc
 646e67ea3438fb6445edcab72d17c9b0 5359 perl optional libapache-asp-perl_2.59-2.1.diff.gz
 6050088d0e85e2b4c513470b17ba2da2 602292 perl optional libapache-asp-perl_2.59-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92FcSYIMHOpZA44RAj5EAKCuaD22s355Jd8N9mUPeukjIuuPZQCgjnbM
tTReE2MwzcBPDupC46zs3vM=
=a+5X
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:42:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:55:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.